ipError -32602 Invalid parameters

This issue has been tracked since 2022-11-24.

Steps to Reproduce

  1. Update flutter and dev tools to 3.3.9 version
  2. Execute flutter run on the code sample
  3. Run App
  4. Call hot reload or F5 in browser

Expected results:
Freezing empty page

Actual results:
Reload page

Code sample
Logs

Reload already in progress, ignoring requestRemoteDebuggerExecutionContext: Timed out finding an execution context after 100 ms.
AppInspector: Missing execution context ID: Error: Bad state: No context with the running Dart application.
#0 RemoteDebuggerExecutionContext.id (package:dwds/src/debugging/execution_context.dart:61:7)

#1 AppInspector.contextId (package:dwds/src/debugging/inspector.dart:179:14)

#2 AppInspector._getExtensionRpcs (package:dwds/src/debugging/inspector.dart:563:20)

#3 AppInspector._initialize (package:dwds/src/debugging/inspector.dart:107:34)

#4 AppInspector.initialize (package:dwds/src/debugging/inspector.dart:172:5)

#5 ChromeProxyService.createIsolate (package:dwds/src/services/chrome_proxy_service.dart:227:18)

#6 DevHandler._handleConnectRequest (package:dwds/src/handlers/dev_handler.dart:422:7)

#7 DevHandler._handleConnection. (package:dwds/src/handlers/dev_handler.dart:271:15)

AppInspector: Error calling Runtime.evaluate with params {expression: require('dart_sdk').developer._extensions.keys.toList();, returnByValue: true, contextId: null}Error: WipError -32602 Invalid parameters

Restarted application in 34 692ms.
RemoteDebuggerExecutionContext: Timed out finding an execution context after 100 ms.
RemoteDebuggerExecutionContext: Timed out finding an execution context after 100 ms.
Failed to set DevTools server address: ext.flutter.activeDevToolsServerAddress: (-32603) ext.flutter.activeDevToolsServerAddress: Bad state: No context with the running Dart application.
#0 RemoteDebuggerExecutionContext.id (package:dwds/src/debugging/execution_context.dart:61:7)

#1 StackZoneSpecification._registerUnaryCallback.

. Deep links to DevTools will not show in Flutter errors.

ext.flutter.connectedVmServiceUri: (-32603) ext.flutter.connectedVmServiceUri: Bad state: No context with the running Dart application.
#0 RemoteDebuggerExecutionContext.id (package:dwds/src/debugging/execution_context.dart:61:7)

#1 StackZoneSpecification._registerUnaryCallback.

Failed to set vm service URI: ext.flutter.connectedVmServiceUri: (-32603) ext.flutter.connectedVmServiceUri: Bad state: No context with the running Dart application.
#0 RemoteDebuggerExecutionContext.id (package:dwds/src/debugging/execution_context.dart:61:7)

#1 StackZoneSpecification._registerUnaryCallback.

. Deep links to DevTools will not show in Flutter errors.

RemoteDebuggerExecutionContext: Timed out finding an execution context after 100 ms.
Application finished.
Exited (sigterm)

[√] Flutter (Channel stable, 3.3.9, on Microsoft Windows [Version 10.0.22000.1219], locale ru-RU)
• Flutter version 3.3.9 on channel stable at D:\Documents\frameworks\flutter
• Upstream repository https://github.com/flutter/flutter.git
• Framework revision b8f7f1f (2 days ago), 2022-11-23 06:43:51 +0900
• Engine revision 8f2221fbef
• Dart version 2.18.5
• DevTools version 2.15.0

[√] Android toolchain - develop for Android devices (Android SDK version 31.0.0)
• Android SDK at C:\Users\Drabb\AppData\Local\Android\sdk
• Platform android-31, build-tools 31.0.0
• Java binary at: C:\Program Files\Android\Android Studio\jre\bin\java
• Java version OpenJDK Runtime Environment (build 11.0.10+0-b96-7249189)
• All Android licenses accepted.

[√] Chrome - develop for the web
• Chrome at C:\Program Files\Google\Chrome\Application\chrome.exe

[√] Visual Studio - develop for Windows (Visual Studio Community 2022 17.3.0)
• Visual Studio at C:\Program Files\Microsoft Visual Studio\2022\Community
• Visual Studio Community 2022 version 17.3.32804.467
• Windows 10 SDK version 10.0.22000.0

[√] Android Studio (version 2020.3)
• Android Studio at C:\Program Files\Android\Android Studio
• Flutter plugin can be installed from:
https://plugins.jetbrains.com/plugin/9212-flutter
• Dart plugin can be installed from:
https://plugins.jetbrains.com/plugin/6351-dart
• Java version OpenJDK Runtime Environment (build 11.0.10+0-b96-7249189)

[√] VS Code (version 1.73.1)
• VS Code at C:\Users\Drabb\AppData\Local\Programs\Microsoft VS Code
• Flutter extension version 3.52.0

[√] Connected device (3 available)
• Windows (desktop) • windows • windows-x64 • Microsoft Windows [Version 10.0.22000.1219]
• Chrome (web) • chrome • web-javascript • Google Chrome 107.0.5304.121
• Edge (web) • edge • web-javascript • Microsoft Edge 107.0.1418.56

[√] HTTP Host Availability
• All required HTTP hosts are available

• No issues found!

exaby73 wrote this answer on 2022-11-25

Hello @mr-merlin. I do not see a code sample attached. Please update the comment to include a complete and minimal, reproducible example. Thank you

mr-merlin wrote this answer on 2022-11-25

Hello!
Strange. After night all dev tools working current :)
PC not rebooted, and i don't know, what caused this issue.

I close issue. Thank you!

More Details About Repo
Owner Name flutter
Repo Name flutter
Full Name flutter/flutter
Language Dart
Created Date 2015-03-06
Updated Date 2022-12-07
Star Count 147031
Watcher Count 3560
Fork Count 23915
Issue Count 11300

YOU MAY BE INTERESTED

Issue Title Created Date Updated Date